[
	{
		ingredientPattern: "HKH,HHH",
		recipeGroup: 1,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", quantity: 1, tags: ["size-small"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-upperbody-raw-hide-mantle"  }
	},
	{
		ingredientPattern: "HKH,_H_",
		recipeGroup: 2,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", quantity: 1, tags: ["size-medium"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-upperbody-raw-hide-mantle"  }
	},
	{
		ingredientPattern: "HKH",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", quantity: 1, tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 1,
		output: { type: "item", code: "clothes-upperbody-raw-hide-mantle"  }
	},
	{
		ingredientPattern: "KH",
		recipeGroup: 4,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", quantity: 1, tags: ["size-huge"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 2,
		height: 1,
		output: { type: "item", code: "clothes-upperbody-raw-hide-mantle"  }
	},
	{
		ingredientPattern: "HKH,H_H",
		recipeGroup: 1,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", tags: ["size-small"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-lowerbody-raw-hide-trousers"  }
	},
	{
		ingredientPattern: "_K_,H_H",
		recipeGroup: 2,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", tags: ["size-medium"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-lowerbody-raw-hide-trousers"  }
	},
	{
		ingredientPattern: "K,H",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 1,
		height: 2,
		output: { type: "item", code: "clothes-lowerbody-raw-hide-trousers"  }
	},
	{
		ingredientPattern: "K,H",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-raw-*", tags: ["size-huge"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 1,
		height: 2,
		output: { type: "item", code: "clothes-lowerbody-raw-hide-trousers"  }
	},
	{
		ingredientPattern: "HKH,HHH,HHH",
		recipeGroup: 1,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-small"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "clothes-upperbodyover-fur-coat"  }
	},
	{
		ingredientPattern: "HKH,HHH",
		recipeGroup: 2,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-medium"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-upperbodyover-fur-coat"  }
	},
	{
		ingredientPattern: "HKH,_H_",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-upperbodyover-fur-coat"  }
	},
	{
		ingredientPattern: "KH",
		recipeGroup: 4,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-huge"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 2,
		height: 1,
		output: { type: "item", code: "clothes-upperbodyover-fur-coat"  }
	},
	{
		ingredientPattern: "HKH,H_H",
		recipeGroup: 1,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-small"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-foot-knee-high-fur-boots"  }
	},
	{
		ingredientPattern: "_K_,H_H",
		recipeGroup: 2,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-medium"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 2,
		output: { type: "item", code: "clothes-foot-knee-high-fur-boots"  }
	},	
	{
		ingredientPattern: "K,H",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 1,
		height: 2,
		output: { type: "item", code: "clothes-foot-knee-high-fur-boots"  }
	},	
	{
		ingredientPattern: "K,H",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-huge"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 1,
		height: 2,
		output: { type: "item", code: "clothes-foot-knee-high-fur-boots"  }
	},
	{
		ingredientPattern: "HKH",
		recipeGroup: 1,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 2, tags: ["size-small"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 1,
		output: { type: "item", code: "clothes-hand-fur-gloves"  }
	},
	{
		ingredientPattern: "HKH",
		recipeGroup: 2,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-medium"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 3,
		height: 1,
		output: { type: "item", code: "clothes-hand-fur-gloves"  }
	},
	{
		ingredientPattern: "HK",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 2,
		height: 1,
		output: { type: "item", code: "clothes-hand-fur-gloves"  }
	},
	{
		ingredientPattern: "HK",
		recipeGroup: 3,
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-huge"], returnedStack: { type: "item", code: "hide-pelt-small" } },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  }
		},
		width: 2,
		height: 1,
		output: { type: "item", code: "clothes-hand-fur-gloves"  }
	},
	{
		ingredientPattern: "HKF",
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-large"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  },
			"F": { type: "item", code: "flaxtwine", quantity: 1 }
		},
		width: 3,
		height: 1,
		output: { type: "item", code: "hoovedwearables-blanket-hide"  }
	},
	{
		ingredientPattern: "HKF",
		ingredients: {
			"H": { type: "item", code: "hide-pelt-*", quantity: 1, tags: ["size-huge"] },
			"K": { type: "item", isTool: true, tags: ["tool-trimming"]  },
			"F": { type: "item", code: "flaxtwine", quantity: 1 }
		},
		width: 3,
		height: 1,
		output: { type: "item", code: "hoovedwearables-blanket-hide"  }
	}
]